/******************************************/
/* Definition of the data */
/* id is an identifying variable */
/* pi1 and pi2 are two different variables*/
/* of inclusion probabilities */
/* var1, var2 and var3 are 3 numerical */
/* variables */
/******************************************/
data a1;
input id $ pi1 pi2 var1 var2 var3;
cards;
1 0.3 0.2 1 4 7
2 0.3 0.4 2 6 4
3 0.3 0.8 3 7 9
4 0.3 0.2 2 3 2
5 0.3 0.7 8 6 4
6 0.3 0.1 3 5 6
7 0.3 0.5 2 6 3
8 0.3 0.3 2 1 3
9 0.3 0.4 4 7 6
10 0.3 0.5 8 2 5
;run;
/******************************************/
/* Example 1 */
/******************************************/
/* Balancing on var1 and var3, with pi2 as*/
/* inclusion probabilities, with the 1st */
/* landing option, without balancing the */
/* complementary */
/******************************************/
%exe_cube(base=work,data=a1,id=id,pi=pi2,contr=var1 var3,
sort=ech,atter=1,compeq=0);
/******************************************/
/* Example 2 */
/******************************************/
/* Balancing on var1, var2 and var3, with */
/* pi2 as inclusion probabilities and */
/* fixed size, with the 2d landing option,*/
/* and balancing the complementary */
/* (fixed size compels to put pi2 as a */
/* balancing variable) */
/******************************************/
%exe_cube(base=work,data=a1,id=id,pi=pi2,contr=pi2 var1 var2 var3,
sort=ech,atter=2,compeq=1);
/******************************************/
/* Example 3 */
/******************************************/
/* Balancing on var1 and var2, with pi1 as*/
/* inclusion probabilities, with the 3st */
/* landing option, without balancing the */
/* complementary */
/* (in fact, inclusion probabilities are */
/* equal, so the complementary is */
/* automatically balanced) */
/* (the use of the 3d landing option */
/* compels to put pi1 as a balancing */
/* variable) */
/******************************************/
%exe_cube(base=work,data=a1,id=id,pi=pi1,contr=pi1 var1 var2,
sort=ech,atter=3,compeq=0);
